# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/glib-gettextize
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:        fwfstab
Version:     0.04
Release:     alt1_0.7.rc1
BuildArch:   noarch
Summary:     A graphical file system table editor

Group:       File tools
License:     GPLv2+
URL:         http://www.diffingo.com/content/view/32/45/lang,en/
Source0:     http://downloads.diffingo.com/fwfstab/fwfstab-%{version}rc1.tar.gz

BuildRequires:   desktop-file-utils
BuildRequires:   python-devel >= 2.4
BuildRequires:   gettext
BuildRequires:   intltool automake
Requires:        pygtk2
Requires:        consolehelper
Source44: import.info

%description
%{name} is a graphical file system table (fstab) editor, used to edit the 
/etc/fstab file. It lets users add, edit or remove new entries in a simple,
straight-forward way. It is meant to make the task of editing the file system
table easier without sacrificing flexibility.

%prep
%setup -q -n %{name}-%{version}rc1

%build
%configure
# We don't implement this yet
# make %{?_smp_mflags}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS COPYING ChangeLog README TODO
%dir %{_datadir}/%{name}
%dir %{python_sitelibdir_noarch}/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/*.desktop
%{python_sitelibdir_noarch}/%{name}/*
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%config(noreplace) %{_sysconfdir}/pam.d/%{name}

%changelog
* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_0.7.rc1
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_0.6.rc1
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_0.5.rc1
- initial fc import

